# Load the helper function and call it with arguments tailored for the local
# grid.  It will make the morph configuration for us.  We share this function
# with the production grid and have one fewer possible point of divergence.
import ../../lib/make-grid.nix {
  name = "LocalDev";
  config = ./config.json;
  nodes = cfg:
  let
    sshUsers = import ../../../../PrivateStorageSecrets/localdev-users.nix;
  in {
    "payments1" = import ../../lib/make-issuer.nix (rec {
      publicIPv4 = "192.168.67.21";
      inherit sshUsers;
      hardware = import ./virtual-hardware.nix ({ inherit publicIPv4; });
      stateVersion = "19.03";
    } // cfg);

    "storage1" = import ../../lib/make-testing.nix (rec {
      publicIPv4 = "192.168.67.22";
      inherit sshUsers;
      hardware = import ./virtual-hardware.nix ({ inherit publicIPv4; });
      stateVersion = "19.09";
    } // cfg);

    "storage2" = import ../../lib/make-testing.nix (rec {
      publicIPv4 = "192.168.67.23";
      inherit sshUsers;
      hardware = import ./virtual-hardware.nix ({ inherit publicIPv4; });
      stateVersion = "19.09";
    } // cfg);
  };
}
